<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="rech_warenausgangsjournal_materialeinsatz" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="786" leftMargin="28" rightMargin="28" topMargin="42" bottomMargin="14" isSummaryWithPageHeaderAndFooter="true" uuid="34756f66-3669-4bc5-aeca-ba68e5d5a75e">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
	</parameter>
	<parameter name="P_SORTIERUNG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VON" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_BIS" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_GRUPPIERTNACHSTATISTIK" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_WAEHRUNG_MANDANT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MITTEXTEINGABEN" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_MANDANT_OBJ" class="com.lp.server.system.service.ReportMandantDto" isForPrompting="false"/>
	<parameter name="P_SUBREPORTCONNECTION" class="java.sql.Connection" isForPrompting="false"/>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor" isForPrompting="false">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<field name="F_RECHNUNGSNUMMER" class="java.lang.String"/>
	<field name="F_DATUM" class="java.util.Date"/>
	<field name="F_PREIS" class="java.math.BigDecimal"/>
	<field name="F_KUNDENNUMMER" class="java.lang.Integer"/>
	<field name="F_KUNDENBEZEICHNUNG" class="java.lang.String"/>
	<field name="F_ARTIKELNUMMER" class="java.lang.String"/>
	<field name="F_ARTIKELBEZEICHNUNG" class="java.lang.String"/>
	<field name="F_ARTIKELKLASSE" class="java.lang.String"/>
	<field name="F_ARTIKELGRUPPE" class="java.lang.String"/>
	<field name="F_SERIENCHARGENNUMMER" class="java.lang.String"/>
	<field name="F_URSPRUNGSLAND" class="java.lang.String"/>
	<field name="F_WARENVERKEHRSNUMMER" class="java.lang.String"/>
	<field name="F_MENGE" class="java.math.BigDecimal"/>
	<field name="F_EINHEIT" class="java.lang.Object"/>
	<field name="F_ARTIKELBEZEICHNUNG2" class="java.lang.String"/>
	<field name="F_RECHNUNGSPROVISION" class="java.math.BigDecimal"/>
	<field name="F_PROVISIONSEMPFAENGER" class="java.lang.String"/>
	<field name="F_ERLOESKONTO" class="java.lang.String"/>
	<field name="F_DEBITORENKONTO" class="java.lang.String"/>
	<field name="F_PLZ" class="java.lang.String"/>
	<field name="F_LKZ" class="java.lang.String"/>
	<field name="F_ADRESSE" class="java.lang.String"/>
	<field name="F_MWST" class="java.lang.Double"/>
	<field name="F_BRANCHE" class="java.lang.String"/>
	<field name="F_PARTNERKLASSE" class="java.lang.String"/>
	<field name="F_USTLAND" class="java.lang.String"/>
	<field name="F_LIEFERSCHEINNUMMER" class="java.lang.String"/>
	<field name="F_LIEFERSCHEINDATUM" class="java.util.Date"/>
	<field name="F_GEWICHT" class="java.lang.Double"/>
	<field name="F_STATISTIKADRESSE_PARTNERIID" class="java.lang.Integer"/>
	<field name="F_STATISTIKADRESSE_ANREDE" class="java.lang.String"/>
	<field name="F_STATISTIKADRESSE_NAME1" class="java.lang.String"/>
	<field name="F_STATISTIKADRESSE_NAME2" class="java.lang.String"/>
	<field name="F_STATISTIKADRESSE_NAME3ABTEILUNG" class="java.lang.String"/>
	<field name="F_STATISTIKADRESSE_STRASSE" class="java.lang.String"/>
	<field name="F_STATISTIKADRESSE_ORT" class="java.lang.String"/>
	<field name="F_STATISTIKADRESSE_LAND" class="java.lang.String"/>
	<field name="F_STATISTIKADRESSE_PLZ" class="java.lang.String"/>
	<field name="F_PARTNERIID" class="java.lang.Integer"/>
	<field name="F_WAEHRUNG" class="java.lang.String"/>
	<field name="F_KURS" class="java.math.BigDecimal"/>
	<field name="F_RECHNUNGSART" class="java.lang.String"/>
	<field name="F_ZURECHNUNG" class="java.lang.String"/>
	<field name="F_ARTIKELPROVISION" class="java.lang.Double"/>
	<field name="F_BESTELLNUMMER" class="java.lang.String"/>
	<field name="F_KUNDENNUMMER_RECHNUNGSADRESSE_LS" class="java.lang.Integer"/>
	<field name="F_KUNDENBEZEICHNUNG_RECHNUNGSADRESSE_LS" class="java.lang.String"/>
	<field name="F_KUNDENKURZBEZEICHNUNG_RECHNUNGSADRESSE_LS" class="java.lang.String"/>
	<field name="F_KUNDE_HINWEISEXTERN" class="java.lang.String"/>
	<field name="F_KUNDE_HINWEISINTERN" class="java.lang.String"/>
	<field name="F_KUNDE_PROVISIONSEMPFAENGER_KURZZEICHEN" class="java.lang.String"/>
	<field name="F_ARTIKELGEWICHTKG" class="java.lang.Double"/>
	<field name="F_LAGER_RECHNUNG" class="java.lang.String"/>
	<field name="F_LAGER_LIEFERSCHEIN" class="java.lang.String"/>
	<field name="F_ZIELLAGER_LIEFERSCHEIN" class="java.lang.String"/>
	<field name="F_KUNDENNUMMER_LIEFERADRESSE_LS" class="java.lang.Integer"/>
	<field name="F_TEXTEINGABE" class="java.lang.String"/>
	<field name="F_ILN_LIEFERADRESSE" class="java.lang.String"/>
	<field name="F_ILN_RECHNUNGSADRESSE" class="java.lang.String"/>
	<field name="F_LIEFERADRESSE_PARTNERIID" class="java.lang.Integer"/>
	<field name="F_LIEFERADRESSE_ANREDE" class="java.lang.String"/>
	<field name="F_LIEFERADRESSE_NAME1" class="java.lang.String"/>
	<field name="F_LIEFERADRESSE_NAME2" class="java.lang.String"/>
	<field name="F_LIEFERADRESSE_NAME3ABTEILUNG" class="java.lang.String"/>
	<field name="F_LIEFERADRESSE_STRASSE" class="java.lang.String"/>
	<field name="F_LIEFERADRESSE_LAND" class="java.lang.String"/>
	<field name="F_LIEFERADRESSE_ORT" class="java.lang.String"/>
	<field name="F_LIEFERADRESSE_PLZ" class="java.lang.String"/>
	<field name="F_GRUNDNICHTEINGEHALTEN" class="java.lang.String"/>
	<field name="F_KUNDE_LIEFERDAUER" class="java.lang.Integer"/>
	<field name="F_GEPLANTER_LIEFERTERMIN" class="java.util.Date"/>
	<field name="F_AUFTRAGSNUMMER" class="java.lang.String"/>
	<field name="F_AUFTRAGBEGRUENDUNG" class="java.lang.String"/>
	<field name="F_GESTPREIS" class="java.math.BigDecimal"/>
	<field name="F_KOSTENTRAEGER" class="java.lang.String"/>
	<field name="F_SETARTIKEL_TYP" class="java.lang.String"/>
	<field name="F_BESTELLUNMMER" class="java.lang.String"/>
	<field name="F_PROJEKT" class="java.lang.String"/>
	<field name="F_BASISPREIS" class="java.math.BigDecimal"/>
	<field name="F_I_ID_BUCHUNG" class="java.lang.Integer">
		<fieldDescription><![CDATA[das ist die i_id_buchung der ww_lagerbewegung]]></fieldDescription>
	</field>
	<field name="F_EINKAUFSPREIS_AUFTRAGSPOSITION" class="java.math.BigDecimal"/>
	<field name="F_ARTIKELREFERENZNUMMER" class="java.lang.String"/>
	<field name="F_LIEFERSCHEINART" class="java.lang.String"/>
	<field name="F_LIEFERSCHEINSTATUS" class="java.lang.String"/>
	<field name="F_LIEFERSCHEIN_VERRECHENBAR" class="java.lang.Short"/>
	<field name="F_LIEFERSCHEINPOSITION_I_ID" class="java.lang.Integer"/>
	<field name="F_RECHNUNGPOSITION_I_ID" class="java.lang.Integer"/>
	<field name="F_ARTIKEL_INDEX" class="java.lang.String"/>
	<field name="F_ARTIKEL_REVISION" class="java.lang.String"/>
	<field name="F_ARTIKEL_KURZBEZEICHNUNG" class="java.lang.String"/>
	<variable name="Zebra" class="java.math.BigDecimal" resetType="Page">
		<variableExpression><![CDATA[$F{F_MENGE}!=null ?
$V{Zebra}.negate() :
$V{Zebra}]]></variableExpression>
		<initialValueExpression><![CDATA[new BigDecimal(1)]]></initialValueExpression>
	</variable>
	<variable name="UntergeordneterMatwert" class="java.math.BigDecimal" resetType="None" calculation="System"/>
	<variable name="GesMatKostenRE" class="java.math.BigDecimal" resetType="Group" resetGroup="ReNr" calculation="System">
		<variableExpression><![CDATA[]]></variableExpression>
		<initialValueExpression><![CDATA[]]></initialValueExpression>
	</variable>
	<variable name="GesMatKosten" class="java.math.BigDecimal" calculation="System">
		<variableExpression><![CDATA[]]></variableExpression>
		<initialValueExpression><![CDATA[]]></initialValueExpression>
	</variable>
	<group name="ReNr">
		<groupExpression><![CDATA[$F{F_RECHNUNGSNUMMER}]]></groupExpression>
		<groupFooter>
			<band height="15">
				<rectangle>
					<reportElement mode="Opaque" x="0" y="0" width="786" height="10" forecolor="#CCCCCC" backcolor="#CCCCCC" uuid="ac673d46-e9cd-438c-9bb2-d5f13e7b516b"/>
				</rectangle>
				<textField pattern="#,##0.0000" isBlankWhenNull="false">
					<reportElement mode="Transparent" x="710" y="0" width="70" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="4c414cbb-cc3f-49cc-9242-f7b57505dbb9"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
						<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{GesMatKostenRE}]]></textFieldExpression>
				</textField>
				<textField isBlankWhenNull="true">
					<reportElement key="F_RECHNUNGSART" mode="Transparent" x="0" y="0" width="70" height="10" uuid="1491c7fd-56c8-4652-ac67-df342898bb89"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement>
						<font fontName="Arial" size="8" isBold="false" pdfFontName="Helvetica"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{F_RECHNUNGSART}]]></textFieldExpression>
				</textField>
				<textField isBlankWhenNull="true">
					<reportElement key="Rechnungsnummer" mode="Transparent" x="70" y="0" width="70" height="10" uuid="1aeadb12-32d5-41df-90b5-23d19d0876fb"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement>
						<font fontName="Arial" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{F_RECHNUNGSNUMMER}==null ?
"offener LS" : $F{F_RECHNUNGSNUMMER}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="89" splitType="Stretch">
			<textField isBlankWhenNull="false">
				<reportElement key="REPORT_INFORMATION" x="0" y="0" width="535" height="12" uuid="71e26e6c-c901-4852-8c76-7bbafab38a4b"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER" mode="Transparent" x="677" y="0" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="8d58453f-c99d-4f85-aa20-4642b06e2c87"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + $V{PAGE_NUMBER} + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="VON_PAGE_NUMBER" mode="Transparent" x="757" y="0" width="25" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="6ddc4e7d-4cfa-41a2-915f-86b9bca1c4b9"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["" + $V{PAGE_NUMBER} + ""]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Warenausgangs-Journal" x="0" y="20" width="550" height="22" uuid="720e4e9a-212d-44d9-8e1b-343937fc31df"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="16" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Warenausgangs-Journal mit Materialeinsatz inkl. zwei Los-Unterebenen]]></text>
			</staticText>
			<textField isBlankWhenNull="false">
				<reportElement key="SORTIERUNG" x="0" y="42" width="236" height="12" uuid="72d51386-e3df-46b9-9bfb-3872d33ac084"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA["Sortierung nach " + $P{P_SORTIERUNG}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="von" x="236" y="42" width="25" height="12" uuid="5b0c4a49-3f6a-421e-b6e4-e038def42e3c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[von]]></text>
			</staticText>
			<textField pattern="dd.mm.yyyy" isBlankWhenNull="false">
				<reportElement key="P_VON" x="262" y="42" width="70" height="12" uuid="d449efbc-ade8-46f6-88bd-7f052cb47db0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_VON}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="bis" x="340" y="42" width="25" height="12" uuid="b5a117d2-fd97-42ea-8dff-46a40a2f558c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[bis]]></text>
			</staticText>
			<textField pattern="dd.mm.yyyy" isBlankWhenNull="false">
				<reportElement key="P_BIS" x="366" y="42" width="70" height="12" uuid="fdbe7430-78e1-4183-9612-1f3cf14ec4c8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BIS}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Rech.Nr" x="0" y="66" width="58" height="10" uuid="d0ce025a-17da-48b4-9662-c470080dc66e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Rech.Nr]]></text>
			</staticText>
			<staticText>
				<reportElement key="Kunde / Adresse" x="70" y="66" width="220" height="10" uuid="70be17bd-f6df-41f6-96ad-59054a691ca1"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Kunde / Adresse]]></text>
			</staticText>
			<staticText>
				<reportElement key="LKZ" x="300" y="66" width="20" height="10" uuid="c567b42f-ab3e-4eaa-b15a-30f89293563f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[LKZ]]></text>
			</staticText>
			<staticText>
				<reportElement key="PLZ" x="321" y="66" width="40" height="10" uuid="9f5245cd-74b9-47fd-9d19-5d1c1b19fdd1"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[PLZ]]></text>
			</staticText>
			<staticText>
				<reportElement key="DebitorenNr" x="491" y="66" width="50" height="10" uuid="7627dc0d-5ad1-4be5-aec3-82df5e63eff4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[DebitorenNr]]></text>
			</staticText>
			<staticText>
				<reportElement key="Rech.Datum" x="543" y="56" width="50" height="20" uuid="aa953e8d-4771-4d0a-b614-de85be9ee5b2"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Rech.Datum
LS-Datum]]></text>
			</staticText>
			<staticText>
				<reportElement key="Vertreter" x="600" y="66" width="37" height="10" uuid="158c9484-b8af-4047-9694-9296e5fb005c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Vertreter]]></text>
			</staticText>
			<staticText>
				<reportElement key="LieferscheinNr" x="0" y="75" width="58" height="10" uuid="44721750-68a3-4fad-9d3f-ba368a5c9fe5"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[LieferscheinNr]]></text>
			</staticText>
			<staticText>
				<reportElement key="Artikel.Nr" x="70" y="76" width="100" height="10" uuid="20c40331-9c3f-46d7-9e9f-809c1b720377"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[► Artikel.Nr]]></text>
			</staticText>
			<staticText>
				<reportElement key="Artikel Bezeichnung" x="170" y="76" width="220" height="10" uuid="a2f96a0c-3e3f-4bd4-94cf-e617afcdd224"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Artikel Bezeichnung]]></text>
			</staticText>
			<staticText>
				<reportElement key="Klasse" x="390" y="76" width="30" height="10" uuid="40ef4e18-2aac-4d7d-ba2a-9576bd1d99bf"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Klasse]]></text>
			</staticText>
			<staticText>
				<reportElement key="Gruppe" x="416" y="76" width="30" height="10" uuid="4b3bf43c-6dfa-4f21-98b4-e130be2f9728"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Gruppe]]></text>
			</staticText>
			<staticText>
				<reportElement key="Menge" x="455" y="76" width="50" height="10" uuid="48207314-6d0e-4576-b2d8-ff9959f08f86"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Menge]]></text>
			</staticText>
			<staticText>
				<reportElement key="Me" x="505" y="76" width="20" height="10" uuid="5790614c-91e6-4111-b745-fc470450eee0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Me]]></text>
			</staticText>
			<staticText>
				<reportElement key="Wert" x="566" y="76" width="70" height="10" uuid="ec7f6ec2-dc7c-489e-94b6-b716f252c3c7"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Wert]]></text>
			</staticText>
			<line>
				<reportElement key="line-1" x="0" y="87" width="785" height="1" uuid="f6520c5f-6741-49b8-998a-23ca48ed4b5e"/>
			</line>
			<staticText>
				<reportElement key="F_I_ID_BUCHUNG" x="650" y="76" width="40" height="10" uuid="ca69b797-feb6-4f87-8acb-807a629cae57"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[F_I_ID_B.]]></text>
			</staticText>
			<staticText>
				<reportElement key="Mat-Kosten" x="710" y="76" width="70" height="10" uuid="5d457afc-8c0e-4820-8c2b-dc14533c6c6a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Mat-Kosten]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="60" splitType="Stretch">
			<printWhenExpression><![CDATA[$F{F_MENGE}!=null]]></printWhenExpression>
			<textField isBlankWhenNull="true">
				<reportElement key="F_RECHNUNGSART" x="0" y="0" width="70" height="10" uuid="c71bbf29-219d-4a4b-bb7a-6ecbc681fe5f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8" isBold="false" pdfFontName="Helvetica"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_RECHNUNGSART}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="Firma" mode="Transparent" x="70" y="0" width="220" height="10" uuid="6bf10944-95b6-44cb-917a-8fd29f1b5314"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_KUNDENBEZEICHNUNG}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="LKZ" mode="Transparent" x="300" y="0" width="20" height="10" uuid="2ff7e920-b0e7-46ce-b5ca-f343cadb4f8c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_LKZ}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="PLZ" mode="Transparent" x="321" y="0" width="40" height="10" uuid="6bb455da-0b67-413e-9814-fabcf978e827"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_PLZ}]]></textFieldExpression>
			</textField>
			<textField pattern="dd.MM.yyyy" isBlankWhenNull="true">
				<reportElement key="Rechnungsdatum" mode="Transparent" x="543" y="0" width="50" height="10" uuid="30d0d6ed-4560-4a6e-bed2-41ad4c3c76f9"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_DATUM}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="Rechnungsnummer" mode="Transparent" x="0" y="10" width="70" height="10" uuid="ae3c7f6e-2e20-4bc1-a989-5f187df9c142"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_RECHNUNGSNUMMER}==null ?
"offener LS" : $F{F_RECHNUNGSNUMMER}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="Adresse" mode="Transparent" x="70" y="10" width="220" height="10" uuid="0dde5caa-6d56-4098-aaa4-fc8cd37c610d"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ADRESSE}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="Gutschrift" x="491" y="10" width="50" height="10" uuid="1abd9877-2265-4604-be99-0417af874ddc">
					<printWhenExpression><![CDATA[new Boolean (!($F{F_LIEFERSCHEINDATUM} == null))]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["Gutschrift".equals($F{F_RECHNUNGSART})?
"RE-Datum":"LS-Datum"]]></textFieldExpression>
			</textField>
			<textField pattern="dd.MM.yyyy" isBlankWhenNull="true">
				<reportElement key="F_LIEFERSCHEINDATUM" mode="Transparent" x="543" y="10" width="50" height="10" uuid="253eed1a-96de-48e4-8592-9fb23dd04675"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_LIEFERSCHEINDATUM}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="F_PROVISIONSEMPFAENGER" mode="Transparent" x="600" y="10" width="37" height="10" uuid="6c9841a4-14eb-4089-ade9-c898dcf9c8e5"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_PROVISIONSEMPFAENGER}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="F_ZURECHNUNG" x="0" y="20" width="70" height="10" uuid="d3b31b2d-5f41-4286-8db3-750d22e76c80"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ZURECHNUNG}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="F_LIEFERSCHEINNUMMER" mode="Transparent" x="0" y="20" width="70" height="10" uuid="92cbca2a-7c90-411d-a97f-9abcb0194a6c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_LIEFERSCHEINNUMMER}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true" hyperlinkType="GOTO">
				<reportElement key="Artikelnummer" mode="Transparent" x="70" y="20" width="100" height="10" uuid="4d64a035-06f2-4a2e-9421-0f6bd949905a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ARTIKELNUMMER}]]></textFieldExpression>
				<hyperlinkParameter name="WhereToGo">
					<hyperlinkParameterExpression><![CDATA[com.lp.util.GotoHelper.goto_ARTIKEL_AUSWAHL()]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
				<hyperlinkParameter name="Key">
					<hyperlinkParameterExpression><![CDATA[$F{F_ARTIKELNUMMER}]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="Bezeichnung" mode="Transparent" x="170" y="20" width="220" height="10" isRemoveLineWhenBlank="true" uuid="17d8d7e6-6f73-417f-9c65-98196421fe1e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ARTIKELBEZEICHNUNG}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="Artikelklasse" mode="Transparent" x="390" y="0" width="25" height="10" uuid="4e98a12c-5a86-429e-abff-120594c49a7e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ARTIKELKLASSE}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="Artikelgruppe" mode="Transparent" x="416" y="0" width="35" height="10" uuid="0310d3ed-39c2-4b5b-b9ed-5716b0a28cfb"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ARTIKELGRUPPE}]]></textFieldExpression>
			</textField>
			<textField pattern="###0;-###0" isBlankWhenNull="true">
				<reportElement key="Menge" mode="Transparent" x="455" y="20" width="50" height="10" isRemoveLineWhenBlank="true" uuid="4fd16dde-3bd4-4ea9-b714-fa1064890daf"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_MENGE}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="Einheit" mode="Transparent" x="505" y="20" width="20" height="10" isRemoveLineWhenBlank="true" uuid="60716897-1ed6-43cb-9a4f-95349592aa19"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_EINHEIT}]]></textFieldExpression>
			</textField>
			<textField pattern="##0.00" isBlankWhenNull="true">
				<reportElement key="Betrag" mode="Transparent" x="566" y="0" width="70" height="10" uuid="413d69fc-91d6-4ddb-a2b9-ee3798907d71"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_PREIS}.multiply($F{F_MENGE})]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="Artikelbezeichnung2" mode="Transparent" x="170" y="30" width="220" height="10" isRemoveLineWhenBlank="true" uuid="860e3cf2-4efe-47bc-96cc-2effa0b053f2"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ARTIKELBEZEICHNUNG2}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="Seriennummer" mode="Transparent" x="170" y="40" width="220" height="10" isRemoveLineWhenBlank="true" uuid="03154ddb-1354-41be-8c51-110b20711fe0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_SERIENCHARGENNUMMER}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement key="F_I_ID_BUCHUNG" mode="Transparent" x="650" y="0" width="40" height="10" uuid="6aa95020-15b4-4ab3-86ff-72948299a138"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_I_ID_BUCHUNG}]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement key="Subreport_LosMaterialPositionen" positionType="Float" x="0" y="50" width="786" height="10" uuid="d6034443-a94a-4a88-b7c8-ed8a9d9817b8"/>
				<subreportParameter name="P_SQLEXEC">
					<subreportParameterExpression><![CDATA[$P{P_SQLEXEC}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="Ebene">
					<subreportParameterExpression><![CDATA[new Integer(1)]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="Liefermenge">
					<subreportParameterExpression><![CDATA[$F{F_MENGE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="REPORT_DIRECTORY">
					<subreportParameterExpression><![CDATA[$P{REPORT_DIRECTORY}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="Artikelnummer">
					<subreportParameterExpression><![CDATA[$F{F_ARTIKELNUMMER}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select ww_artikel.c_nr, i_belegartid, n_menge, n_verkaufspreis, stk_stueckliste.stuecklisteart_c_nr, "+
"(select sum(n_menge) from fert_losablieferung where los_i_id=ww_lagerbewegung.i_belegartid) as abliefermenge, "+
"ww_lagerbewegung.i_id_buchung "+
"from ww_lagerbewegung "+
"inner join ww_artikel on ww_artikel.i_id=ww_lagerbewegung.artikel_i_id "+
"left outer join stk_stueckliste ON stk_stueckliste.artikel_i_id = ww_lagerbewegung.artikel_i_id "+
"where i_belegartid in "+
"("+
"select fert_los.i_id as fertlosiid from ww_lagerbewegung as a1 "+
"inner join ww_lagerabgangursprung on ww_lagerabgangursprung.i_lagerbewegungidursprung=a1.i_id_buchung "+
"inner join fert_los on fert_los.i_id=i_belegartid "+
"where ww_lagerabgangursprung.i_lagerbewegungid = "+$F{F_I_ID_BUCHUNG}+" "+
"and a1.c_belegartnr = 'Losablieferung' "+
")"+
"and ww_lagerbewegung.c_belegartnr='Los';",
new String[] {"artikelnr",
"belegartid",
"n_menge",
"n_preis",
"c_stuecklistenart",
"abliefermenge",
"i_id_buchung"})]]></dataSourceExpression>
				<returnValue subreportVariable="GesamtMaterialwert" toVariable="UntergeordneterMatwert" calculation="Sum"/>
				<returnValue subreportVariable="GesamtMaterialwert" toVariable="GesMatKostenRE" calculation="Sum"/>
				<returnValue subreportVariable="GesamtMaterialwert" toVariable="GesMatKosten" calculation="Sum"/>
				<returnValue subreportVariable="UntergeordneterMatwertGes" toVariable="UntergeordneterMatwert" calculation="Sum"/>
				<returnValue subreportVariable="UntergeordneterMatwertGes" toVariable="GesMatKostenRE" calculation="Sum"/>
				<returnValue subreportVariable="UntergeordneterMatwertGes" toVariable="GesMatKosten" calculation="Sum"/>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"rech_warenausgangsjournal_materialeinsatz_los.jasper").toURL()]]></subreportExpression>
			</subreport>
		</band>
		<band height="10">
			<printWhenExpression><![CDATA[false]]></printWhenExpression>
			<textField pattern="#,##0.0000" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="710" y="0" width="70" height="10" forecolor="#FF6600" backcolor="#FFFFFF" uuid="88809592-378c-4bf3-a1fd-07e963e15684"/>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{UntergeordneterMatwert}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<lastPageFooter>
		<band height="10">
			<staticText>
				<reportElement key="Info" x="0" y="2" width="786" height="8" uuid="4966a78c-f7cd-4c57-bb82-184eaafa66c2"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="6"/>
				</textElement>
				<text><![CDATA[Wenn sortiert nach Kunde, ist der Report  nach Kundenname der Rechnungsadresse sortiert. Danach kommen die WA-Positionen ohne Rechnungen (noch nicht verrechnete LS) die nach Kundenname der Lieferadresse sortiert sind.]]></text>
			</staticText>
		</band>
	</lastPageFooter>
	<summary>
		<band height="20" splitType="Stretch">
			<line>
				<reportElement key="line-1" x="0" y="0" width="785" height="1" uuid="c3b3d4de-54f5-4281-a280-9c405a337446"/>
			</line>
			<textField isBlankWhenNull="true">
				<reportElement key="F_RECHNUNGSART" x="0" y="1" width="200" height="10" uuid="a3937444-57ef-4145-b095-d949140cc0b2"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="8" isBold="false" pdfFontName="Helvetica"/>
				</textElement>
				<textFieldExpression><![CDATA["Gesamtmaterialkosten aller Rechnungen"]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0000" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="710" y="1" width="70" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="4cf89bad-5e45-46a0-9d3b-ddd47e63548c"/>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{GesMatKosten}]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
